GET
/
v1
/
teams
/
{teamId}
/
assets
/
search
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.assetsSearchAssets({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  query: {
    "query": process.env.OCTOSPARK_QUERY ?? "query",
  },
})
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originalFilename": "<string>",
      "fileSize": 123,
      "mimeType": "<string>",
      "assetTypeData": {
        "width": 123,
        "height": 123,
        "format": "<string>",
        "colorSpace": "<string>",
        "aspectRatio": "<string>"
      },
      "storagePath": "<string>",
      "thumbnailPath": "<string>",
      "aiTitle": "<string>",
      "aiDescription": "<string>",
      "aiTags": [
        "<string>"
      ],
      "contentHash": "<string>",
      "processingError": "<string>",
      "isDeleted": true,
      "deletedAt": "<string>",
      "hardDeletedAt": "<string>",
      "sharedWithOrg": true,
      "displayName": "<string>",
      "aspectRatio": "<string>",
      "isProcessing": true,
      "createdAt": "<string>",
      "updatedAt": "<string>"
    }
  ],
  "total": 123,
  "nextCursor": "<string>",
  "prevCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Query Parameters

query
string
required

a string at least 1 character(s) long

Minimum string length: 1
semantic
string
cursor
string
limit
string
sortBy
string
sortOrder
enum<string>
Available options:
asc,
desc
filter[assetType]
enum<string>
Available options:
image,
video,
audio,
gif,
document

Response

Success

data
object[]
required
total
number
required
nextCursor
string | null
required
prevCursor
string | null
required